
From: Stuart McLaren <stuart.mclaren@hp.com>

Per-queue parameters should be updated using the appropriate blk_queue_xxx
functions.

Signed-off-by: Stuart McLaren <stuart.mclaren@hp.com>
Cc: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/ll_rw_blk.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~blk-use-blk_queue_xxx-functions-to-set-parameters drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~blk-use-blk_queue_xxx-functions-to-set-parameters	Mon Aug 29 15:40:39 2005
+++ 25-akpm/drivers/block/ll_rw_blk.c	Mon Aug 29 15:40:39 2005
@@ -235,8 +235,8 @@ void blk_queue_make_request(request_queu
 	 * set defaults
 	 */
 	q->nr_requests = BLKDEV_MAX_RQ;
-	q->max_phys_segments = MAX_PHYS_SEGMENTS;
-	q->max_hw_segments = MAX_HW_SEGMENTS;
+	blk_queue_max_phys_segments(q, MAX_PHYS_SEGMENTS);
+	blk_queue_max_hw_segments(q, MAX_HW_SEGMENTS);
 	q->make_request_fn = mfn;
 	q->backing_dev_info.ra_pages = (VM_MAX_READAHEAD * 1024) / PAGE_CACHE_SIZE;
 	q->backing_dev_info.state = 0;
_
